summaryrefslogtreecommitdiffstats
path: root/libraries/libbass
diff options
context:
space:
mode:
author Steven Voges <svoges.sbo@gmail.com>2022-08-18 04:17:39 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-08-20 10:06:39 +0700
commit5b67405855d33c85b7e423b9dbebaa3935693e24 (patch)
tree534eb961e0a2d2b59653ba7587b597c3643bf45a /libraries/libbass
parentd62113f1b5ac665967b1f7118450fc02d07a486d (diff)
downloadslackbuilds-5b67405855d33c85b7e423b9dbebaa3935693e24.tar.gz
slackbuilds-5b67405855d33c85b7e423b9dbebaa3935693e24.tar.xz
libraries/libbass: Added (Audio Library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libbass')
-rw-r--r--libraries/libbass/README6
-rw-r--r--libraries/libbass/libbass.SlackBuild105
-rw-r--r--libraries/libbass/libbass.info10
-rw-r--r--libraries/libbass/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/libraries/libbass/README b/libraries/libbass/README
new file mode 100644
index 0000000000..0e053e3ec9
--- /dev/null
+++ b/libraries/libbass/README
@@ -0,0 +1,6 @@
+BASS is an audio library for use in software on several platforms.
+Its purpose is to provide developers with powerful and efficient
+sample, stream (MP3, MP2, MP1, OGG, WAV, AIFF, custom generated, and
+more via OS codecs and add-ons), MOD music (XM, IT, S3M, MOD, MTM,
+UMX), MO3 music (MP3/OGG compressed MODs), and recording functions.
+All in a compact .SO that won't bloat your distribution.
diff --git a/libraries/libbass/libbass.SlackBuild b/libraries/libbass/libbass.SlackBuild
new file mode 100644
index 0000000000..149bbebf5c
--- /dev/null
+++ b/libraries/libbass/libbass.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for libbass
+
+# Copyright 2022 Steven Voges <svoges.sbo@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libbass
+SRCNAM=bass
+VERSION=${VERSION:-2.4.16.7}
+SRCVER=${SRCVER:-24}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM$SRCVER
+mkdir -p $TMP/$SRCNAM$SRCVER
+unzip $CWD/$SRCNAM$SRCVER-linux.zip -d $TMP/$SRCNAM$SRCVER
+cd $SRCNAM$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+if [ "$ARCH" = "x86_64" ]; then
+ cp x64/$PRGNAM.so $PKG/usr/lib${LIBDIRSUFFIX}
+else
+ cp $PRGNAM.so $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+mkdir -p $PKG/usr/include
+cp $SRCNAM.h $PKG/usr/include/$SRCNAM.h
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $SRCNAM.chm $SRCNAM.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libbass/libbass.info b/libraries/libbass/libbass.info
new file mode 100644
index 0000000000..9cc208681c
--- /dev/null
+++ b/libraries/libbass/libbass.info
@@ -0,0 +1,10 @@
+PRGNAM="libbass"
+VERSION="2.4.16.7"
+HOMEPAGE="https://www.un4seen.com"
+DOWNLOAD="http://www.un4seen.com/files/bass24-linux.zip"
+MD5SUM="ae02976f74b070f811e889bd4feb6fc4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Steven Voges"
+EMAIL="svoges.sbo@gmail.com"
diff --git a/libraries/libbass/slack-desc b/libraries/libbass/slack-desc
new file mode 100644
index 0000000000..57cf8d3b2e
--- /dev/null
+++ b/libraries/libbass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libbass: libbass (Audio Library)
+libbass:
+libbass: BASS is an audio library for use in software on several platforms.
+libbass: Its purpose is to provide developers with powerful and efficient
+libbass: sample, stream (MP3, MP2, MP1, OGG, WAV, AIFF, custom generated, and
+libbass: more via OS codecs and add-ons), MOD music (XM, IT, S3M, MOD, MTM,
+libbass: UMX), MO3 music (MP3/OGG compressed MODs), and recording functions.
+libbass: All in a compact .SO that won't bloat your distribution.
+libbass:
+libbass: Homepage: https://www.un4seen.com/bass.html
+libbass: